Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568586 (CVE-2018-2825) - CVE-2018-2825 OpenJDK: insufficient array type checks in VarHandle (Libraries, 8194233)
Summary: CVE-2018-2825 OpenJDK: insufficient array type checks in VarHandle (Libraries...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-2825
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1559778
TreeView+ depends on / blocked
 
Reported: 2018-04-17 20:23 UTC by Tomas Hoger
Modified: 2019-09-29 14:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-17 20:28:47 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2018-04-17 20:23:43 UTC
It was discovered that the Libraries component of OpenJDK failed to properly check array object type VarHandle in certain cases. An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2018-04-17 20:28:47 UTC
Affected functionality - VarHandle - was only introduced in OpenJDK 9.

Comment 2 Tomas Hoger 2018-04-17 21:01:54 UTC
Public now via Oracle CPU April 2018:

http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html#AppendixJAVA

The issue was fixed in Oracle JDK 10.0.1.

Comment 3 Tomas Hoger 2018-04-20 20:52:50 UTC
OpenJDK 10 upstream commit:

http://hg.openjdk.java.net/jdk-updates/jdk10u/rev/a562e21b4bd2


Note You need to log in before you can comment on or make changes to this bug.